com.tibbo.aggregate.common.datatable

## Class DataTableReplication

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.DataTableReplication

-     public class DataTableReplication
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableReplication()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Set<java.lang.String>` | `copy(DataTable source, DataTable target)`
    `static java.util.Set<java.lang.String>` | `copy(DataTable source, DataTable target, boolean copyReadOnlyFields)`
    `static java.util.Set<java.lang.String>` | `copy(DataTable source, DataTable target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields)`
    `static java.util.Set<java.lang.String>` | `copy(DataTable source, DataTable target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields, boolean removeRecordsFromTarget)`
    `static java.util.Set<java.lang.String>` | `copy(DataTable source, DataTable target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields, boolean removeRecordsFromTarget, boolean addRecordsToTarget)`
    `static java.util.Set<java.lang.String>` | `copy(DataTable source, DataTable target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields, boolean removeRecordsFromTarget, boolean addRecordsToTarget, boolean ignoreUnresizable)`
    `static java.util.Set<java.lang.String>` | `copy(DataTable source, DataTable target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields, boolean removeRecordsFromTarget, boolean addRecordsToTarget, boolean ignoreUnresizable, java.util.Collection<java.lang.String> fields)`
    `static java.util.Set<java.lang.String>` | `copyRecord(DataRecord source, DataRecord target)`
    `static java.util.Set<java.lang.String>` | `copyRecord(DataRecord source, DataRecord target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields)`
    `static java.util.Set<java.lang.String>` | `copyRecord(DataRecord source, DataRecord target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields, boolean removeRecordsFromTarget, boolean addRecordsToTarget, java.util.Collection<java.lang.String> fields)`
    `static java.util.Set<java.lang.String>` | `copyRecord(DataRecord source, DataRecord target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields, java.util.Collection<java.lang.String> fields)`
    `static void` | `copyTimestampAndQuality(DataTable source, DataTable target)`
    `static java.util.Set<java.lang.String>` | `copyWithKeyFields(DataTable source, DataTable target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields, boolean removeRecordsFromTarget, boolean addRecordsToTarget, boolean ignoreUnresizable, java.util.Collection<java.lang.String> fields)`
    `static java.util.Set<java.lang.String>` | `copyWithoutKeyFields(DataTable source, DataTable target, boolean copyReadOnlyFields, boolean copyNonReplicatableFields, boolean removeRecordsFromTarget, boolean addRecordsToTarget, boolean ignoreUnresizable, java.util.Collection<java.lang.String> fields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableReplication

          public DataTableReplication()

  - ### Method Detail

    - #### copy

          public static java.util.Set<java.lang.String> copy(DataTable source,
                                                             DataTable target)

    - #### copy

          public static java.util.Set<java.lang.String> copy(DataTable source,
                                                             DataTable target,
                                                             boolean copyReadOnlyFields)

    - #### copy

          public static java.util.Set<java.lang.String> copy(DataTable source,
                                                             DataTable target,
                                                             boolean copyReadOnlyFields,
                                                             boolean copyNonReplicatableFields)

    - #### copy

          public static java.util.Set<java.lang.String> copy(DataTable source,
                                                             DataTable target,
                                                             boolean copyReadOnlyFields,
                                                             boolean copyNonReplicatableFields,
                                                             boolean removeRecordsFromTarget)

    - #### copy

          public static java.util.Set<java.lang.String> copy(DataTable source,
                                                             DataTable target,
                                                             boolean copyReadOnlyFields,
                                                             boolean copyNonReplicatableFields,
                                                             boolean removeRecordsFromTarget,
                                                             boolean addRecordsToTarget)

    - #### copy

          public static java.util.Set<java.lang.String> copy(DataTable source,
                                                             DataTable target,
                                                             boolean copyReadOnlyFields,
                                                             boolean copyNonReplicatableFields,
                                                             boolean removeRecordsFromTarget,
                                                             boolean addRecordsToTarget,
                                                             boolean ignoreUnresizable)

    - #### copy

          public static java.util.Set<java.lang.String> copy(DataTable source,
                                                             DataTable target,
                                                             boolean copyReadOnlyFields,
                                                             boolean copyNonReplicatableFields,
                                                             boolean removeRecordsFromTarget,
                                                             boolean addRecordsToTarget,
                                                             boolean ignoreUnresizable,
                                                             java.util.Collection<java.lang.String> fields)

    - #### copyWithKeyFields

          public static java.util.Set<java.lang.String> copyWithKeyFields(DataTable source,
                                                                          DataTable target,
                                                                          boolean copyReadOnlyFields,
                                                                          boolean copyNonReplicatableFields,
                                                                          boolean removeRecordsFromTarget,
                                                                          boolean addRecordsToTarget,
                                                                          boolean ignoreUnresizable,
                                                                          java.util.Collection<java.lang.String> fields)

    - #### copyWithoutKeyFields

          public static java.util.Set<java.lang.String> copyWithoutKeyFields(DataTable source,
                                                                             DataTable target,
                                                                             boolean copyReadOnlyFields,
                                                                             boolean copyNonReplicatableFields,
                                                                             boolean removeRecordsFromTarget,
                                                                             boolean addRecordsToTarget,
                                                                             boolean ignoreUnresizable,
                                                                             java.util.Collection<java.lang.String> fields)

    - #### copyTimestampAndQuality

          public static void copyTimestampAndQuality(DataTable source,
                                                     DataTable target)

    - #### copyRecord

          public static java.util.Set<java.lang.String> copyRecord(DataRecord source,
                                                                   DataRecord target)

    - #### copyRecord

          public static java.util.Set<java.lang.String> copyRecord(DataRecord source,
                                                                   DataRecord target,
                                                                   boolean copyReadOnlyFields,
                                                                   boolean copyNonReplicatableFields)

    - #### copyRecord

          public static java.util.Set<java.lang.String> copyRecord(DataRecord source,
                                                                   DataRecord target,
                                                                   boolean copyReadOnlyFields,
                                                                   boolean copyNonReplicatableFields,
                                                                   java.util.Collection<java.lang.String> fields)

    - #### copyRecord

          public static java.util.Set<java.lang.String> copyRecord(DataRecord source,
                                                                   DataRecord target,
                                                                   boolean copyReadOnlyFields,
                                                                   boolean copyNonReplicatableFields,
                                                                   boolean removeRecordsFromTarget,
                                                                   boolean addRecordsToTarget,
                                                                   java.util.Collection<java.lang.String> fields)